cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements
2009
Views
39
Helpful
9
Replies
Highlighted
Participant

Upgrade of CUCM version 10.5.1 to 11.5

Dear All,

We like to perform a upgrade for below application all the servers are running with (Publisher and subscriber)

CUCM Version:10.5.1.10000-7

CUC Version:10.5.1.10000-7

IMP version :10.5.1.10000-9

I need a upgrade path for above versions, i have few concerns:

** Before upgrading do i need to delete CTL/ITL files?

**Can i use the PCD tool for upgrade?

9 REPLIES 9
Highlighted
Cisco Employee

Hi Siva,

You can use PCD to upgrade CUCM \ CUC \ IM&P to 11.5.x

PCD 11.6(1)

http://www.cisco.com/c/en/us/td/docs/voice_ip_comm/cucm/rel_notes/PCD/11_6_1/cucm_b_pcd-rns-1161/cucm_b_pcd-rns-1161_chapter_01.html

Table 1 Supported Tasks for Cisco Unified Communications Manager (including Session Management Edition)

Task

Release

Cluster Discovery

6.1(5), 7.1(3), 7.1(5), 8.0(1), 8.0(2), 8.0(3), 8.5(1), 8.6(1), 8.6(2), 9.0(1), 9.1(1), 9.1(2), 10.0(1), 10.5(1), 10.5(2), 11.0(1), 11.5(x)

Migrate Cluster (Install Application and Import Data from Old System)

From

6.1(5), 7.1(3), 7.1(5), 8.0(1), 8.0(2), 8.0(3), 8.5(1), 8.6(1), 8.6(2), 9.0(1), 9.1(1), 9.1(2), 10.0(1), 10.5(1), 10.5(2), 11.0(1), 11.5(x)

To

10.x, 11.0(1), 11.5(x)

Upgrade Cluster (Upgrade Application Version or Install COP Files)

From

8.6(1), 8.6(2), 9.0(1), 9.1(1), 9.1(2), 10.0(1), 10.5(1), 10.5(2), 11.0(1), 11.5(x)

To

10.x, 11.0(1), 11.5(x)

Restart

8.6(1), 8.6(2), 9.0(1), 9.1(1), 9.1(2), 10.0(1), 10.5(1), 10.5(2), 11.0(1), 11.5(x)

Switch Version

8.6(1), 8.6(2), 9.0(1), 9.1(1), 9.1(2), 10.0(1), 10.5(1), 10.5(2), 11.0(1), 11.5(x)

Fresh Install New Cluster or Edit or Expand an Existing Cluster

10.x, 10.5(1), 10.5(2), 11.0(1), 11.5(x)

Readdress (Change Hostname or IP Addresses for One or More Nodes in a Cluster)

10.x, 11.0(1), 11.5(x)

Table 3 Supported Tasks for the IM and Presence Service

Task

Release

Cluster Discovery

9.0(1), 9.1(1), 10.x, 11.0(1), 11.5(x)

Migrate Cluster (Install Application and Import Data from Old System)

From

9.0(1), 9.1(1), 10.x, 11.0(1), 11.5(x)

To

10.x, 11.0(1), 11.5(x)

Upgrade Cluster (Upgrade Application Version or Install COP Files)

From

9.0(1), 9.1(1), 10.x, 11.0(1), 11.5(x)

To

10.x, 11.0(1), 11.5(x)

Restart

9.0(1), 9.1(1), 10.x, 11.0(1), 11.5(x)

Switch Version

9.0(1), 9.1(1), 10.x, 11.0(1), 11.5(x)

Fresh Install New Cluster or Edit or Expand an Existing Cluster

10.x, 10.5(1), 10.5(2), 11.0(1), 11.5(x)

Readdress (Change Hostname or IP Addresses for One or More Nodes in a Cluster)

Not Supported

Table 5 Supported Tasks for Cisco Unity Connection

Task

Release

Cluster Discovery

8.6(1), 8.6(2), 9.x, 10.x, 11.0(1), 11.5(x)

Migrate Cluster (Install Application and Import Data from Old System)

Not Supported

Upgrade Cluster (Upgrade Application Version or Install COP Files)

From

8.x, 9.x, 10.x, 11.0, 11.5

To

10.x, 11.0(1), 11.5(x)

Restart

8.6(1), 8.6(2), 9.x, 10.x, 11.0(1), 11.5(x)

Switch Version

8.6(1), 8.6(2), 9.x, 10.x, 11.0(1), 11.5(x)

Fresh Install New Cluster or Edit or Expand an Existing Cluster

10.5(x), 11.0 (1), 11.5(x)

Readdress (Change Hostname or IP Addresses for One or More Nodes in a Cluster)

10.5(x), 11.0 (1), 11.5(x)

Are you running a Secure cluster?

(Rate if it helps)

JB

Highlighted

+5 for JB for correct answer.

Assuming you are doing an in place upgrade on the same hardware and IP/hostnames are not changing there is nothing that needs to change from certificate perspective.

Highlighted

Chris ,

We are going with the SAME IP address /hostname on the same server. So u mean to say since we are going with the same information after the upgradation phone will get registered there will not be problem on CTL/ITL file .can i do upgrade for all applications at once. 

I have active contract , if i go for version 11.5 do i need to buy any migration licenses?

Highlighted

Correct, if certificates are active and not expired and you are just doing an in place upgrade the certs will not need to change.

As to the process if you are going to use PCD it will build nice tasks with proper steps for upgrading CUCM/IMP where CUCM Pub is upgraded first (a must), then the TFTP servers, followed by all subs and then IMP servers.

Unity Connection will be separate task where Pub will be upgraded before Sub. You can run CUCM/IMP and Unity tasks at the same time.

Yes, you will need license upgrade, so you should order upgrade licenses via PUT for your products.

Highlighted

Thanks chris [5]

How i can check the certificates are expired or not?

Highlighted

Hi Siva,

You will get alarms on RTMT.

You can also Logging to "Cisco Unified Operating System Administration" go to Security -> Certificate Management and click on find.

Also see below.

http://www.cisco.com/c/en/us/support/docs/unified-communications/unified-communications-manager-callmanager/200199-CUCM-Certificate-Regeneration-Renewal-Pr.html

http://www.cisco.com/c/en/us/support/docs/unified-communications/unified-communications-manager-callmanager/117299-problemsolution-product-00-html.html

(Rate if it helps)

JB

Highlighted

Easiest way is to simply go to OS admin pages --> Security -> Certificate Management and sort all certs by Expiration column and see if any dates are passed due.

You should also setup certificate monitoring under OS pages --> Security --> Cert Monitoring to alerts you X number of days before certs expire, so you can proactively renew them as you never want your certs to expire.

Highlighted

I'm doing the same upgrade but looking to keep the phone firmware loads of the 10.5 when we upgrade to 11.6 so we do not have to do any phone upgrades on the weekend. I'm looking to do the phone upgrade post sw upgrade. Has anyone done this, any firmware issues the two. Or is there a url I can go to to show the min phone firmware which 11.6 can use as well

 

Thanks 

Highlighted

  • I'm doing the same upgrade but looking to keep the phone firmware loads of the 10.5 when we upgrade to 11.6 so we do not have to do any phone upgrades on the weekend. I'm looking to do the phone upgrade post sw upgrade. Has anyone done this, any firmware issues the two. Or is there a url I can go to to show the min phone firmware which 11.6 can use as well

 

Thanks